# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               libfishsound
Version:            1.0.0
%define soname      1
Release:            1.1
Summary:            Audio Decoding and Encoding Library
Source:             http://downloads.xiph.org/releases/libfishsound/libfishsound-%{version}.tar.gz
URL:                https://www.xiph.org/fishsound/
Group:              System/Libraries
License:            BSD-3-Clause
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libspeex-devel
BuildRequires:      liboggz-devel
BuildRequires:      libsndfile-devel
BuildRequires:      libvorbis-devel
BuildRequires:      libogg-devel
BuildRequires:      flac-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
libfishsound provides a simple programming interface for decoding and encoding
audio data using the Xiph.org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a lower
level layer such as UDP datagrams. When these codecs are used in files, they
are commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis
files.

libfishsound is a wrapper around the existing codec libraries and provides a
consistent, higher-level programming interface. It has been designed for use in
a wide variety of applications; it has no direct dependencies on Ogg
encapsulation, though it is most commonly used in conjunction with liboggz to
decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg
Theora and Annodex. 

%package -n %{name}%{soname}
Summary:            Audio Decoding and Encoding Library
Group:              System/Libraries

%description -n %{name}%{soname}
libfishsound provides a simple programming interface for decoding and encoding
audio data using the Xiph.org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a lower
level layer such as UDP datagrams. When these codecs are used in files, they
are commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis
files.

libfishsound is a wrapper around the existing codec libraries and provides a
consistent, higher-level programming interface. It has been designed for use in
a wide variety of applications; it has no direct dependencies on Ogg
encapsulation, though it is most commonly used in conjunction with liboggz to
decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg
Theora and Annodex. 

%package devel
Summary:            Audio Decoding and Encoding Library
Group:              Development/Libraries/C and C++
Requires:           %{name}%{soname} = %{version}

%description devel
libfishsound provides a simple programming interface for decoding and encoding
audio data using the Xiph.org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a lower
level layer such as UDP datagrams. When these codecs are used in files, they
are commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis
files.

libfishsound is a wrapper around the existing codec libraries and provides a
consistent, higher-level programming interface. It has been designed for use in
a wide variety of applications; it has no direct dependencies on Ogg
encapsulation, though it is most commonly used in conjunction with liboggz to
decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg
Theora and Annodex. 

%prep
%setup -q

%build
%configure \
    --enable-experimental
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/*.{la,a}
%__rm -rf "%{buildroot}%{_datadir}/doc"

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libfishsound.so.%{soname}
%{_libdir}/libfishsound.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_includedir}/fishsound
%{_libdir}/libfishsound.so
%{_libdir}/pkgconfig/fishsound.pc

%changelog
* Sat Nov 24 2012 pascal.bleser@opensuse.org
- initial version (1.0.0)
